#ifndef INodeListener_hpp
#define INodeListener_hpp

#include "TreeElements.hpp"
#include "NodePath.hpp"

#include <string>
#include <vector>
#include <set>



namespace apoc { namespace legacy {
    
    class INodeListener {
    public:
	virtual void onNodeAdded( const NodePath& aPath ) = 0;
	virtual void onNodeRemoved( const NodePath& aPath ) = 0;
	virtual void onNodeChanged( const NodePath& aPath ) = 0;
    };
} } ; // apoc.legacy

#endif // INodeListener_hpp
